# eric6.Helpviewer.Bookmarks.BookmarksImportDialog

Module implementing a dialog for importing bookmarks from other sources.

### Global Attributes

None

### Classes

BookmarksImportDialog | Class implementing a dialog for importing bookmarks from other sources.

### Functions

None

## BookmarksImportDialog

Class implementing a dialog for importing bookmarks from other sources.

### Derived from

QDialog, Ui_BookmarksImportDialog

### Class Attributes

SourcesListIdRole

### Class Methods

None

### Methods

BookmarksImportDialog | Constructor
__enableNextButton | Private slot to set the enabled state of the next button.
getImportedBookmarks | Public method to get the imported bookmarks.
on_cancelButton_clicked | Private slot documentation goes here.
on_chooseButton_clicked | Private slot to choose the bookmarks file or directory.
on_fileEdit_textChanged | Private slot handling changes of the file to import bookmarks from.
on_nextButton_clicked | Private slot to switch to the next page.
on_sourcesList_itemSelectionChanged | Private slot to handle changes of the selection of the import source.

### Static Methods

None

#### BookmarksImportDialog (Constructor)

BookmarksImportDialog(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### BookmarksImportDialog.__enableNextButton

__enableNextButton()

Private slot to set the enabled state of the next button.

#### BookmarksImportDialog.getImportedBookmarks

getImportedBookmarks()

Public method to get the imported bookmarks.

Returns:
  top level bookmark (BookmarkNode)

#### BookmarksImportDialog.on_cancelButton_clicked

on_cancelButton_clicked()

Private slot documentation goes here.

#### BookmarksImportDialog.on_chooseButton_clicked

on_chooseButton_clicked()

Private slot to choose the bookmarks file or directory.

#### BookmarksImportDialog.on_fileEdit_textChanged

on_fileEdit_textChanged(txt)

Private slot handling changes of the file to import bookmarks from.

txt
  text of the line edit (string)

#### BookmarksImportDialog.on_nextButton_clicked

on_nextButton_clicked()

Private slot to switch to the next page.

#### BookmarksImportDialog.on_sourcesList_itemSelectionChanged

on_sourcesList_itemSelectionChanged()

Private slot to handle changes of the selection of the import source.

Up